CGAL 6.2 - Weights: Barycentric Region Weight

CGAL 6.2 - Weights

Loading...
Searching...
No Matches
Functions
Barycentric Region Weight
Reference Manual » Weighting Regions

##

`#include<CGAL/Weights/barycentric_region_weights.h>`

This weight is the area of the shaded region in the figure below. The region is formed by the two midpoints of the edges incident to `q` and the barycenter of the triangle `[p, q, r]`.

Figure 118.1 Notation used for the barycentric cell.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2` for 2D points; a model of `AnalyticWeightTraits_3` for 3D points

## Functions
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::barycentric_area (const typename GeomTraits::Point_2 &p, const typename GeomTraits::Point_2 &q, const typename GeomTraits::Point_2 &r, const GeomTraits &traits)
| computes the area of the barycentric cell in 2D using the points `p`, `q`, and `r`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::barycentric_area (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r)
| computes the area of the barycentric cell in 2D using the points `p`, `q`, and `r`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::barycentric_area (const typename GeomTraits::Point_3 &p, const typename GeomTraits::Point_3 &q, const typename GeomTraits::Point_3 &r, const GeomTraits &traits)
| computes the area of the barycentric cell in 3D using the points `p`, `q`, and `r`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::barycentric_area (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| computes the area of the barycentric cell in 3D using the points `p`, `q`, and `r`.

## Function Documentation

## ◆ barycentric_area() [1/4]

template<typename Kernel >

Kernel::FT CGAL::Weights::barycentric_area | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const CGAL::Point_2< Kernel > & | r
| ) |  |

`#include <CGAL/Weights/barycentric_region_weights.h>`

computes the area of the barycentric cell in 2D using the points `p`, `q`, and `r`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ barycentric_area() [2/4]

template<typename Kernel >

Kernel::FT CGAL::Weights::barycentric_area | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r
| ) |  |

`#include <CGAL/Weights/barycentric_region_weights.h>`

computes the area of the barycentric cell in 3D using the points `p`, `q`, and `r`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ barycentric_area() [3/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::barycentric_area | ( | const typename GeomTraits::Point_2 & | p,
|  | const typename GeomTraits::Point_2 & | q,
|  | const typename GeomTraits::Point_2 & | r,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/barycentric_region_weights.h>`

computes the area of the barycentric cell in 2D using the points `p`, `q`, and `r`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2`

Examples
  Weights/weights.cpp.

## ◆ barycentric_area() [4/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::barycentric_area | ( | const typename GeomTraits::Point_3 & | p,
|  | const typename GeomTraits::Point_3 & | q,
|  | const typename GeomTraits::Point_3 & | r,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/barycentric_region_weights.h>`

computes the area of the barycentric cell in 3D using the points `p`, `q`, and `r`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_3`